degAxis {sp} | R Documentation

## axis with degrees

### Description

draw axes on a plot using degree symbols in numbers

### Usage

    degAxis(side, at, labels, ...)

### Arguments

`side` | integer; see axis
`at` | numeric; if missing, axTicks is called for nice values; see axis
`labels` | character; if omitted labels are constructed with degree symbols, ending in N/S/E/W; in case of negative degrees, sign is reversed and S or W is added; see axis
`...` | passed to the actual axis call

### Value

axis is plotted on current graph

### Note

decimal degrees are used if variation is small, instead of minutes and seconds

### Examples

    xy = cbind(x = 2 * runif(100) - 1, y = 2 * runif(100) - 1)
    plot(SpatialPoints(xy, proj4string = CRS("+proj=longlat +ellps=WGS84")),xlim=c(-1,1),ylim=c(-1,1))
    degAxis(1)
    degAxis(2, at = c(-1,-0.5,0,0.5,1))
    #

[Package sp version 1.2-3 Index]